Skip to main content

Create Shipping Carrier

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_create_shipping_carrier

Create a new shipping carrier for dynamic rate calculation

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-shipping-carrier-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_shipping_carrier",
"arguments": {
"name": "name_example",
"callbackUrl": "https://example.com/resource",
"services": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"name": {
"type": "string"
},
"callbackUrl": {
"type": "string"
},
"services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"name",
"value"
]
}
}
},
"required": [
"name",
"callbackUrl",
"services"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-shipping-carrier-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_shipping_carrier",
"arguments": {
"name": "name_example",
"callbackUrl": "https://example.com/resource",
"services": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_create_shipping_carrier executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}